markdown_extensions:
  - admonition
  - attr_list
  - footnotes
  - markdown.extensions.codehilite
  - meta
  - pymdownx.details
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.tilde
  - toc:
      permalink: true

theme:
  name: 'material_igwn'
  features:
    - navigation.expand
    - navigation.sections
    - search.highlight
    - search.share
